# Interface DeepClientResult<R>

interface DeepClientResult<R> {
data: any;
error?: any;
errors?: readonly GraphQLError[];
loading: boolean;
networkStatus: NetworkStatus;
originalData?: any;
partial?: boolean;
plainLinks?: any;
query?: any;
subscribe?: ((observer: Observer<any>) => Subscription);
travel?: ((query?: Exp<"links">) => Traveler);
}

#### Type Parameters

- R

#### Hierarchy

- ApolloQueryResult<R>
  - DeepClientResult

- Defined in work/deeplinks/deeplinks/imports/client.tsx:469

#####
Index

### Properties

data
error?
errors?
loading
networkStatus
originalData?
partial?
plainLinks?
query?
subscribe?
travel?

##
Properties

### data

data: any

Overrides ApolloQueryResult.data

- Defined in work/deeplinks/deeplinks/imports/client.tsx:472

### `Optional` error

error?: any

The single Error object that is passed to onError and useQuery hooks, and is often thrown during manual `client.query` calls. This will contain both a NetworkError field and any GraphQLErrors. See https://www.apollographql.com/docs/react/data/error-handling/ for more information.

Overrides ApolloQueryResult.error

- Defined in work/deeplinks/deeplinks/imports/client.tsx:471

### `Optional` errors

errors?: readonly GraphQLError[]

A list of any errors that occurred during server-side execution of a GraphQL operation. See https://www.apollographql.com/docs/react/data/error-handling/ for more information.

Inherited from ApolloQueryResult.errors

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:50

### loading

loading: boolean

Inherited from ApolloQueryResult.loading

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:57

### networkStatus

networkStatus: NetworkStatus

Inherited from ApolloQueryResult.networkStatus

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:58

### `Optional` originalData

originalData?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:473

### `Optional` partial

partial?: boolean

Inherited from ApolloQueryResult.partial

- Defined in work/deeplinks/deeplinks/node_modules/@apollo/client/core/types.d.ts:59

### `Optional` plainLinks

plainLinks?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:474

### `Optional` query

query?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:470

### `Optional` subscribe

subscribe?: ((observer: Observer<any>) => Subscription)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:475

### `Optional` travel

travel?: ((query?: Exp<"links">) => Traveler)

- Defined in work/deeplinks/deeplinks/imports/client.tsx:476